<app-loading *ngIf="loading"></app-loading>

<nz-card class="main-init-line-card">
    <form [formGroup]="lineForm" nz-form>
        <div nz-row>
            <div nz-col nzSpan="6" class="main-init-line-card__left">
                <mb-select [mbShowSearch]="true" [mbDataSelects]="lineList" mbKeyValue="id" mbKeyLabel="name"
                    formControlName="parentId"
                    mbLabelText="{{'Line quản lý' | translate}}"
                    mbPlaceholder="{{'Chọn line quản lý' | translate}}"
                    [mbType]="isSubmitted && lineForm.controls['parentId'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && lineForm.controls['parentId'].errors !== null"
                    [mbErrors]="lineForm.controls['parentId'].errors" [mbErrorDefs]="[
                            { errorName: 'required', errorDescription: 'Vui lòng nhập line quản lý'}]">
                </mb-select>
            </div>
            <div nz-col nzSpan="6" class="main-init-line-card__center">
                <mb-input-text formControlName="name" [defaultInput]='true'
                    [mbType]="isSubmitted && (lineForm.controls['name'].errors || isDupLine) ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && (lineForm.controls['name'].errors) !== null" [mbMaxLength]="400"
                    mbPlaceholderText="{{'Chọn line' | translate}}"
                    mbLabelText="{{'Line' | translate}} <span class='label__required'>*</span>"
                    [mbErrors]="lineForm.controls['name'].errors" [mbErrorDefs]="[
                { errorName: 'required', errorDescription: 'Vui lòng nhập line'}]" (keypress)="onKeypress($event)"
                    (keyup)="handleChangeLine($event)">
                </mb-input-text>
                <div class="error" *ngIf="isDupLine">
                    <em nz-icon nzType="close-circle" nzTheme="outline"></em>
                    <span>Line đã tồn tại</span>
                </div>
            </div>
            <div nz-col nzSpan="6" class="main-init-line-card__right">
                <mb-date-picker formControlName="fromDate" mbFormat="dd/MM/yyyy"
                    mbLabelText="{{'Ngày hiệu lực' | translate}} <span class='label__required'>*</span>"
                    mbPlaceholderText="dd/mm/yyyy"
                    [mbType]="isSubmitted && (lineForm.controls['fromDate'].errors)? 'error': 'default' "
                    [mbErrors]="lineForm.controls['fromDate'].errors"
                    [mbShowError]="isSubmitted && (lineForm.controls['fromDate'].errors) !== null" [mbErrorDefs]="[
                { errorName: 'required', errorDescription: 'Vui lòng nhập ngày hiệu lực'}]"></mb-date-picker>
            </div>
            <div nz-col nzSpan="6" class="main-init-line-card__left">
                <mb-date-picker formControlName="toDate" mbFormat="dd/MM/yyyy"
                    mbLabelText="{{'Ngày hết hiệu lực' | translate}}" mbPlaceholderText="dd/mm/yyyy"></mb-date-picker>
            </div>
        </div>
        <div class="main-init-line-card__footer">
            <mb-button mbButtonSize='LARGE' mbButtonAvailableStyle='PRIMARY' (click)="validateRequest()"
                *ngIf="(!id && objFunction?.create) || (id && objFunction?.edit)" mbButtonText='Lưu'></mb-button>
        </div>
    </form>
</nz-card>
